#!/bin/sh
# /etc/www/cgi-bin/adv-status.cgi
# Copyright (C) 2018 Ayrstone Productivity LLC - ayrstone.com - all rights reserved
. /lib/ayr_functions
get_params
echo "Content-type: text/html"
echo ""
echo "<html><head><meta content='text/html; charset=ISO-8859-1' http-equiv='content-type'><Title>AyrMesh Hub2T</Title><link rel='stylesheet' type='text/css' href='../style.css'></head>"
echo "<body><div id=main><h1 style='text-align: center;'><img style='width: 272px; height: 60px;' alt='Ayrstone Logo' src='../ayrstone.jpg'></h1>"
echo "<h1 style='text-align: center;'>Ayrstone AyrMesh<sup>&reg;</sup> Hub2T</h1>"
echo "<hr>"
echo "<h2>Ifconfig Output:</h2>"
echo "<pre>"
ifconfig
echo "</pre>"
echo "<h2>Top Output:</h2>"
echo "<pre>"
top -b -n 1
echo "</pre>"
echo "<h2>iw mpath dump:</h2>"
echo "<pre>"
iw $mesh_iface mpath dump
echo "</pre>"
echo "<h2>iw ap station dump:</h2>"
echo "<pre>"
iw $ap_iface station dump
echo "</pre>"
echo "<h2>ps:</h2>"
echo "<pre>"
ps
echo "</pre>"
echo "<h2>bootlog:</h2>"
echo "<pre>"
cat /etc/bootlog
echo "</pre>"
echo "<h2>logfile:</h2>"
echo "<pre>"
logread
echo "</pre>"
echo "<h2>Site Survey:</h2>"
echo "<pre>"
/sbin/ayr_site_survey
echo "</pre>"
echo "</div>"
echo "</body></html>"

