#!/bin/sh

# parse_query routine
# 

# Copyright 2018 Ayrstone Productivity


echo "Content-type: text/html"
echo ""
echo "<html><head><meta content='text/html; charset=ISO-8859-1' http-equiv='content-type'><Title>AyrMesh Hub2T</Title><link rel='stylesheet' type='text/css' href='../style.css'></head>"
echo "<body><div id=main><h1 style='text-align: center;'><img style='width: 272px; height: 60px;' alt='Ayrstone Logo' src='../ayrstone.jpg'></h1>"
echo "<h1 style='text-align: center;'>Ayrstone AyrMesh<sup>&reg;</sup> Hub2T</h1>"
echo "<hr>"
# Parse the input
# checkin=on ip_type=DHCP address=192.168.1.1 netmask=255.255.255.0 gateway=192.168.1.1 mesh_on=on mesh_id=6aef335c73103a1f mesh_key=f0d17362351e8f54 wifi_on=on channel=6 ssid=AyrMesh encrypt_type=mixed-psk encrypt_key=Ayrmesh1 uname=username pword1=password pword2=password submit=Submit 
# note that, if check box is not checked, there is NO checkin in the string
eval $(echo "$QUERY_STRING"|awk -F'&' '{for(i=1;i<=NF;i++){print $i}}')                                                           
# If checkin is on, don't need to do any more
if [ "$check_rescue" = "on" ]; then
		uci set ayrmesh.param.rescue=1
		echo "Hub2T is in Rescue mode"
	else
		uci set ayrmesh.param.rescue=0
		echo "Hub2T is NOT in Rescue mode"
fi
echo "<hr>"
if [ "$check_spanning" = "on" ]; then
		uci set ayrmesh.param.spanning=1
		echo "Spanning Tree Protocol (STP) is ON"
	else
		uci set ayrmesh.param.spanning=0
		echo "Spanning Tree Protocol (STP) is OFF"
fi

	uci commit ayrmesh
echo "<hr>"
echo "HUB2T WILL REBOOT NOW"

echo "</body></html>"
reboot
# done
