#!/bin/sh
# /etc/www/cgi-bin/no_rescue.cgi
# Copyright (C) 2018 Ayrstone Productivity LLC - ayrstone.com - all rights reserved
. /lib/ayr_functions

get_params

ip_addr=`ifconfig br-lan| grep "inet addr" |cut -d: -f2 |awk '{print $1}'`
# Header
echo "Content-type: text/html"
echo ""
echo "<html><head><meta content='text/html; charset=ISO-8859-1' http-equiv='content-type'><Title>AyrMesh Hub2T</Title><link rel='stylesheet' type='text/css' href='../style.css'></head>"
echo "<body><div id=main><h1 style='text-align: center;'><img style='width: 272px; height: 60px;' alt='Ayrstone Logo' src='../ayrstone.jpg'></h1>"
echo "<h1 style='text-align: center;'>Ayrstone AyrMesh<sup>&reg;</sup> Hub2T</h1>"
echo "<hr>"
echo "<form method='get' action='apply_options.cgi' name='settings'>"
# Ayrmesh-specific
echo "<h2>Change 'Rescue' Behavior for networks with/without Internet:</h2><br>"
if [ $rescue -eq 1 ]; then
	echo "<input checked='checked' tabindex='1' name='check_rescue' title='Rescue Mode' value='on'type='checkbox'>Rescue mode - check for networks WITH Internet connectivity, uncheck for networks WITHOUT Internet connectivity.<br>"
else
	echo "<input tabindex='1' name='check_rescue' title='Rescue mode' value='on' type='checkbox'>Rescue mode - check for networks WITH Internet connectivity, uncheck for networks WITHOUT Internet connectivity.<br>"
fi
echo "<hr>"
echo "<h2>Change Spanning Tree Protocol (STP) on Gateway Hub2Ts - for networks already using STP:</h2><br>"
if [ $spanning -eq 1 ]; then
	echo "<input checked='checked' tabindex='2' name='check_spanning' title='STP' value='off' type='checkbox'>Spanning Tree Protocol - check to turn the Hub2T's STP ON, uncheck for STP OFF (upstream router/switch acting as STP root).<br>"
else
	echo "<input tabindex='2' name='check_spanning' title='STP' value='on' type='checkbox'>Spanning Tree - check to turn the Hub2T's STP ON, uncheck for STP OFF (upstream router/switch acting as STP root).<br>"
fi
echo "<br><input tabindex='3' name='submit' value='Submit' type='submit'><br></form>"
echo "</body></html>"

